--- portfetch.tcl.old	Tue Jan  6 03:53:17 2004
+++ portfetch.tcl	Tue Jan  6 03:56:04 2004
@@ -70,18 +70,17 @@
 default distfiles {[suffix $distname]}
 
 # Option-executed procedures
-namespace eval options { }
-proc options::use_bzip2 {args} {
-    global use_bzip2 extract.suffix
-    if {[tbool use_bzip2]} {
-        set extract.suffix .tar.bz2
-    }
-}
+option_proc use_bzip2 fix_extract_suffix
+option_proc use_zip fix_extract_suffix
 
-proc options::use_zip {args} {
-    global use_zip extract.suffix
-    if {[tbool use_zip]} {
-        set extract.suffix .zip
+proc fix_extract_suffix {name action} {
+    global extract.suffix use_bzip2 use_zip
+    if {[string equal ${action} "set"]} {
+        if {[tbool use_bzip2]} {
+            set extract.suffix .tar.bz2
+        } elseif {[tbool use_zip]} {
+            set extract.suffix .zip
+        }
     }
 }
 
@@ -93,17 +92,11 @@
 
 # Given a distname, return a suffix based on the use_zip / use_bzip2 / extract.suffix options
 proc suffix {distname} {
-    global extract.suffix use_bzip2 use_zip fetch.type
+    global extract.suffix fetch.type
     if {"${fetch.type}" == "cvs"} {
         return ""
     }
-    if {[tbool use_bzip2]} {
-	return ${distname}.tar.bz2
-    } elseif {[tbool use_zip]} {
-	return ${distname}.zip
-    } else {
-	return ${distname}${extract.suffix}
-    }
+    return ${distname}${extract.suffix}
 }
 
 # Given a site url and the name of the distfile, assemble url and
